<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="maximum-scale=1.0,minimum-scale=1.0,user-scalable=0,width=device-width,initial-scale=1.0"/>
    <meta name="format-detection" content="telephone=no,email=no,date=no,address=no">
    <title>title</title>
    <link rel="stylesheet" type="text/css" href="../css/base.css">
    <link rel="stylesheet" href="../css/zhibo.css">
    <style>


          /*新加空提示信息*/

          .m-noRecord {
            padding: .395rem 0 0;
            text-align: center;
        }

        .m-noRecord .c-icon-noRecord {
            background: url(../image/app/Loading2.gif) no-repeat;
            background-size: cover;
          width: 15rem;
          height: 10rem;
          /* margin: .485rem auto 0; */
          margin: 0 auto;
        }
        .m-noRecord .c-info {
            background: linear-gradient(to right, #ffd74c, #c7752e);
            -webkit-background-clip: text;
            color: transparent;
            /* color: #cecfce;  */
            line-height: 4rem;
            padding: .25rem 0;
            font-size: .8rem;
        }


    </style>
</head>
<body>



                  <div class="aui-tab" style=" background: #fff; ">
    	                    <div class="tab-panel">
    	                        <div class="tab-panel-item tab-active">
    	                            <div class="tab-item">
    	                                <a class="aui-flex b-line">
    	                                    <div class="aui-flex-iphone">
    	                                        <img src="../image/app/dianying.png" alt="">
    	                                    </div>
    	                                    <div class="aui-flex-box">
    																				<p>
    																						<em class="aui-group-three" style=" font-size: 12px; "> 明星电影轮播</em>
    																				</p>
    	                                        <h3 style=" font-size: 10px; ">在线直播</h3>
    	                                        <p>
    	                                            <em class="aui-group-one" style=" font-size: 12px; ">实时更新</em> <em class="aui-group-two" style=" font-size: 12px; ">经典热门大片</em>
    	                                        </p>

    	                                    </div>
    	                                    <div class="aui-flex-support" style=" font-size: 12px; " onclick="shuaxin()"  >刷新</div>
    	                                </a>


    	                            </div>
    	                        </div>


    	                    </div>
    	                </div>



  <div class="wrap">
    <div class="game-page">



      <!-- 视频列表 -->
    <div class="v-list-wrap" id="liveList">
      <ul class="clearfix" id="div_list">


        <!--加载提示-->
        <section class="m-noRecord"><div class="c-icon-noRecord"></div> <div class="c-info">奋力加载中...</div></section>
        <!--加载提示-->

<!--
                <li onclick="openWin('{{= value. url }}')">
                  <div class="video-mask-box">
                    <img src="{{= value. img }}" alt="" class="game-pic">
                  </div>
              <em class="aui-group-three" style=" font-size: 12px; "> {{= value. title }}</em>
                </li>

-->

      </ul>
    </div>
    <!-- 视频列表 end-->
</body>
<script type="text/x-dot-template" id="template">
{{~ it.msg : value : index }}


    <li onclick="openWin('{{= value. url }}')">
      <div class="video-mask-box">
        <img src="{{= value. img }}" alt="" class="game-pic">
      </div>
  <em class="aui-group-three" style=" font-size: 12px; "> {{= value. title }}</em>
    </li>

/*
<li  onclick="openWin('{{= value. url }}')">
  <div class="game-a" >
    <img src="{{= value. img }}" alt="">
      <em class="aui-group-three" style=" font-size: 12px; "> {{= value. title }}</em>
    <p>
        <em class="aui-group-one" style=" font-size: 12px; ">主播：</em> <em class="aui-group-two" style=" font-size: 12px; ">{{= value. nickname }}</em>
    </p><br>
  </div>
</li>

*/


{{~}}
</script>
<script type="text/javascript" src="../script/api.js" ></script>
<script type="text/javascript" src="../script/doT.js"></script>
<script type="text/javascript">

var imgdz = '';
var api_url = localStorage.getItem('api_url');

/////  初始化执行   S /////
/////  apiready  一打开就执行的 函数

  apiready = function(){

GetVlist();    //获取电影列表


  }
/////  初始化执行   E /////



//////////////////////   打开推荐影片播放页  方法         S //////////////////////
  function openWin(name){

    ////获取数据
    var time = localStorage.getItem('user_time');
    var user_id = localStorage.getItem('user_id');
    var username = localStorage.getItem('user_name');
    var timestamp = Date.parse(new Date())/1000;

    ///判断是否登录
    if(user_id==0){

      /*
      api.alert({
          title: '温馨提示',
          msg: '请先登陆后使用',
      });

      */
      api.toast({
msg: '(ｷ｀ﾟДﾟ´)!!    你还没登陆！',
duration: 2000
});


      api.openWin({
          name: 'login',
          url: './login.html',
          delay: 2000
      });
      return;

    }


//判断是否会员
    if (time>timestamp) {
                                                        //网络连接判断S


                                                                            api.ajax({
                                                                                url: api_url+'/login/login/banben.html',
                                                                                method: 'get'
                                                                            },function(ret, err){
                                                                                if (ret) {

                                                                                             //网络正常   跳转





                                                                                                   /*
                                                                                                   api.showProgress({
                                                                                                       title: 'VIP登录中',
                                                                                                       modal: false
                                                                                                   });

                                                                                             api.toast({
                                                                                                 msg: '加载中'
                                                                                             });
                                                                                             */

                                                                                      //        setTimeout("playRadio();",1000);
                                                                                             var delay = 0;
                                                                                             if(api.systemType != 'ios'){
                                                                                                 delay = 300;
                                                                                             }
                                                                                             api.openWin({
                                                                                                 name: 'h5',
                                                                                                 url: 'h5.html',
                                                                                                 bounces:false,
                                                                                                 delay: delay,
                                                                                                 slidBackEnabled:true,
                                                                                                 vScrollBarEnabled:false,
                                                                                                 pageParam:{video:name}
                                                                                             });


                                                                                } else {

                                                                                            //网络连接失败 进行提示
                                                                                            NetworkConnectionFailurePrompt();

                                                              }


                                                          });
                                                      //网络连接判断E


    }else if (time == -1) {   //判断是否永久会员
                                              //网络连接判断S


                                                                  api.ajax({
                                                                      url: api_url+'/login/login/banben.html',
                                                                      method: 'get'
                                                                  },function(ret, err){
                                                                      if (ret) {

                                                                                   //网络正常   跳转





                                                                                         /*
                                                                                         api.showProgress({
                                                                                             title: 'VIP登录中',
                                                                                             modal: false
                                                                                         });

                                                                                   api.toast({
                                                                                       msg: '加载中'
                                                                                   });
                                                                                   */

                                                                                //   setTimeout("playRadio();",2000);
                                                                                   var delay = 0;
                                                                                   if(api.systemType != 'ios'){
                                                                                       delay = 300;
                                                                                   }
                                                                                   api.openWin({
                                                                                       name: 'h5',
                                                                                       url: 'h5.html',
                                                                                       bounces:false,
                                                                                       delay: delay,
                                                                                       slidBackEnabled:true,
                                                                                       vScrollBarEnabled:false,
                                                                                       pageParam:{video:name}
                                                                                   });


                                                                      } else {

                                                                                  //网络连接失败 进行提示
                                                                                  NetworkConnectionFailurePrompt();

                                                    }


                                                });
                                            //网络连接判断E



    }else if (time<timestamp){
                 VipExpiredHint();   //会员过期弹窗提示
    }

  }

//////////////////////   打开推荐影片播放页  方法        E //////////////////////



//////////////////////    会员过期提示  方法  VipExpiredHint   S  //////////////////////
function VipExpiredHint() {

                  /*会员过期弹窗提示*/
                  var dialogBox = api.require('dialogBox');
                  dialogBox.alert({
                      tapClose: true,  //描述：（可选项）是否点击遮罩层关闭该对话框  默认值：false
                      texts: {
                          content: '您的VIP会员已过期',
                          leftBtnTitle: '在想想',
                          rightBtnTitle: '去续费'
                      },
                      styles:{
                bg: '#fff',            //（可选项）字符串类型；对话框整体背景配置，支持#、rgb、rgba、img；默认：#fff
                corner: 10,             //（可选项）数字类型；对话框背景圆角大小；默认：2
                w: 300,                //（可选项）数字类型；对话框的宽；默认：300
                title:{                //（可选项）JSON对象；弹窗标题栏样式配置，不传则不显示标题区域
                    marginT: 20,       //（可选项）数字类型；标题栏与对话框顶端间距；默认：20
                    icon: 'widget://image/app/dialogBoxTisi.jpg',          //（可选项）字符串类型；标题前面的图标路径，要求本地路径（widget://、fs://）；图片为正方形的，如：50*50、100*100，建议开发者传大小合适的图片以适配高分辨率手机屏幕，不传则不显示
                    iconSize: 80,      //（可选项）数字类型；icon 图标边长大小,若 icon 不存在则此参数无效；默认：24
                    titleSize: 14,     //（可选项）数字类型；标题字体大小；默认：14
                    titleColor: '#000' //（可选项）字符串类型；标题字体颜色，支持#、rgb、rgba；默认：#fff
                },
                content:{              //（可选项）JSON 对象；文本内容配置，若不传则不显示该区域
                    marginT: 20,       //（可选项）数字类型；内容文本顶端与标题栏底端的距离，如果标题栏不存在，则是到窗口顶端的距离；默认：20
                    marginB: 40,       //（可选项）数字类型；内容文本底端与 left/right 顶端的距离，如果 left/right 都不存在，则是到对话框底端的距离；默认：20
                    color: '#ff0103',     //（可选项）字符串类型；内容文本字体颜色，支持 rgb、rgba、#；默认：#eee
                    size: 12           //（可选项）数字类型：内容文本字体大小；默认：12
                },
                left:{                 //（可选项）JSON 对象；左边按钮样式配置，不传则不显示左边按钮
                    marginB: 30,        //（可选项）数字类型；左边按钮的下边距；默认：7
                    marginL: 30,       //（可选项）数字类型；左边按钮的左边距；默认：20
                    w: 100,            //（可选项）数字类型；左边按钮的宽；默认：130
                    h: 40,             //（可选项）数字类型；左边按钮的高；默认：35
                    corner: 10,         //（可选项）数字类型；左边按钮圆角半径；默认：0.0
                    bg: '#3d3d3d',        //（可选项）字符串类型；左边按钮的背景，支持rgb、rgba、#、img；默认：'#e0e'
                    color: '#fff',  //（可选项）字符串类型；左边按钮标题字体颜色，支持rgb，rgba、#；默认：'#007FFF'
                    size: 12           //（可选项）数字类型；左边按钮标题字体大小；默认：12
                },
                right: {               //（可选项）JSON 对象；右边按钮样式配置，不传则不显示右边按钮
                    marginB: 30,        //（可选项）数字类型；右边按钮的下边距；默认：7
                    marginL: 40,      //（可选项）数字类型；右边按钮左边距；默认：10
                    w: 100,            //（可选项）数字类型；右边按钮的宽；默认：130
                    h: 40,             //（可选项）数字类型；右边按钮的高；默认：35
                    corner: 10,         //（可选项）数字类型；右边按钮圆角半径；默认：0.0
                    bg: '#ff0103',        //（可选项）字符串类型；右边按钮的背景，支持rgb、rgba、#、img；默认：'#e0e'
                    color: '#fff',  //（可选项）字符串类型；右边按钮标题字体颜色，支持rgb、rgba、#；默认：'#007FFF'
                    size: 12           //（可选项）数字类型；右边按钮标题字体大小；默认：12
                }
            }
                  }, function(ret) {
                      if (ret.eventType == 'left') {
                          var dialogBox = api.require('dialogBox');
                          dialogBox.close({
                              dialogName: 'alert'
                          });
                      }else if (ret.eventType == 'right') {
                        api.openWin({
                            name: 'open_vip_win',
                            url: './open_vip_win.html',
                            delay: 300
                        });
                        var dialogBox = api.require('dialogBox');
                        dialogBox.close({
                            dialogName: 'alert'
                        });
                      }
                  });
                  /*    会员过期弹窗提示结束    */

}
//////////////////////    会员过期提示 方法 VipExpiredHint  E  //////////////////////






//////////////////////   获取电影推荐列表  方法   GetVlist    S //////////////////////
function GetVlist() {

    api.showProgress({
        title: '加载中...',
        modal: false
    });
    var div_list = $api.byId('div_list');
    var template = $api.byId('template');
    api.ajax({
        url: 'http://yb.rcbang.xyz/login/login/mnlist.html',
        method: 'get'
    },function(ret, err){
        if (ret) {
          //alert( JSON.stringify( ret ) );
          var pagefn = doT.template(template.text);
          div_list.innerHTML = pagefn(ret);
          api.hideProgress();

        } else {
          api.hideProgress();
            //alert( JSON.stringify( err ) );
        }
    });


  }
//////////////////////   获取电影推荐列表  方法   GetVlist    E  //////////////////////







//////////////////////   打开APP时 获取推荐电影列表  方法    GetVlistDataLoading    定时     S //////////////////////

//定时执行数据加载
var GetVlistTimer = setInterval(function(){
    GetVlistDataLoading();
},3000)

//判断是否服务器通信成功
function GetVlistDataLoading() {

  api.ajax({
      url: api_url+'/login/login/banben.html',
      method: 'get'
  },function(ret, err){
      if (ret) {

        GetVlist();   //获取电影列表
        //alert( JSON.stringify( ret ) );
/*  关闭提示
        api.toast({
            msg: '数据已更新',
            duration: 1000
        });
*/

clearInterval(GetVlistTimer); // 获取成功 清除定时器
      } /*else {
        api.toast({
            msg: '数据获取失败 请检查网络',
            duration: 1000
        });

          //alert( JSON.stringify( err ) );
      }
      */
  });


}

//////////////////////   打开APP时 获取推荐电影列表  方法    GetVlistDataLoading    定时     E //////////////////////

//////////////////////    网络连接失败提示  方法  NetworkConnectionFailurePrompt   S  //////////////////////
function NetworkConnectionFailurePrompt() {

                  /*无网络弹窗提示*/
                            var dialogBox = api.require('dialogBox');
                            dialogBox.alert({
                                tapClose: false,  //描述：（可选项）是否点击遮罩层关闭该对话框  默认值：false
                                texts: {
                                    content: '请检查网络是否顺畅',
                                    leftBtnTitle: '先不管',
                                    rightBtnTitle: '网络设置'
                                },
                                styles:{
                          bg: '#fff',            //（可选项）字符串类型；对话框整体背景配置，支持#、rgb、rgba、img；默认：#fff
                          corner: 10,             //（可选项）数字类型；对话框背景圆角大小；默认：2
                          w: 300,                //（可选项）数字类型；对话框的宽；默认：300
                          title:{                //（可选项）JSON对象；弹窗标题栏样式配置，不传则不显示标题区域
                              marginT: 20,       //（可选项）数字类型；标题栏与对话框顶端间距；默认：20
                              icon: 'widget://image/app/dialogBoxTisi.jpg',          //（可选项）字符串类型；标题前面的图标路径，要求本地路径（widget://、fs://）；图片为正方形的，如：50*50、100*100，建议开发者传大小合适的图片以适配高分辨率手机屏幕，不传则不显示
                              iconSize: 80,      //（可选项）数字类型；icon 图标边长大小,若 icon 不存在则此参数无效；默认：24
                              titleSize: 14,     //（可选项）数字类型；标题字体大小；默认：14
                              titleColor: '#000' //（可选项）字符串类型；标题字体颜色，支持#、rgb、rgba；默认：#fff
                          },
                          content:{              //（可选项）JSON 对象；文本内容配置，若不传则不显示该区域
                              marginT: 20,       //（可选项）数字类型；内容文本顶端与标题栏底端的距离，如果标题栏不存在，则是到窗口顶端的距离；默认：20
                              marginB: 40,       //（可选项）数字类型；内容文本底端与 left/right 顶端的距离，如果 left/right 都不存在，则是到对话框底端的距离；默认：20
                              color: '#ff0103',     //（可选项）字符串类型；内容文本字体颜色，支持 rgb、rgba、#；默认：#eee
                              size: 12           //（可选项）数字类型：内容文本字体大小；默认：12
                          },
                          left:{                 //（可选项）JSON 对象；左边按钮样式配置，不传则不显示左边按钮
                              marginB: 30,        //（可选项）数字类型；左边按钮的下边距；默认：7
                              marginL: 30,       //（可选项）数字类型；左边按钮的左边距；默认：20
                              w: 100,            //（可选项）数字类型；左边按钮的宽；默认：130
                              h: 40,             //（可选项）数字类型；左边按钮的高；默认：35
                              corner: 10,         //（可选项）数字类型；左边按钮圆角半径；默认：0.0
                              bg: '#3d3d3d',        //（可选项）字符串类型；左边按钮的背景，支持rgb、rgba、#、img；默认：'#e0e'
                              color: '#fff',  //（可选项）字符串类型；左边按钮标题字体颜色，支持rgb，rgba、#；默认：'#007FFF'
                              size: 12           //（可选项）数字类型；左边按钮标题字体大小；默认：12
                          },
                          right: {               //（可选项）JSON 对象；右边按钮样式配置，不传则不显示右边按钮
                              marginB: 30,        //（可选项）数字类型；右边按钮的下边距；默认：7
                              marginL: 40,      //（可选项）数字类型；右边按钮左边距；默认：10
                              w: 100,            //（可选项）数字类型；右边按钮的宽；默认：130
                              h: 40,             //（可选项）数字类型；右边按钮的高；默认：35
                              corner: 10,         //（可选项）数字类型；右边按钮圆角半径；默认：0.0
                              bg: '#ff0103',        //（可选项）字符串类型；右边按钮的背景，支持rgb、rgba、#、img；默认：'#e0e'
                              color: '#fff',  //（可选项）字符串类型；右边按钮标题字体颜色，支持rgb、rgba、#；默认：'#007FFF'
                              size: 12           //（可选项）数字类型；右边按钮标题字体大小；默认：12
                          }
                      }
                            }, function(ret) {
                                if (ret.eventType == 'left') {
                                    var dialogBox = api.require('dialogBox');
                                    dialogBox.close({
                                        dialogName: 'alert'
                                    });
                                }else if (ret.eventType == 'right') {


                                  var openset = api.require('openSet');
                                  openset.open({
                                      id: 1
                                  });


                                  var dialogBox = api.require('dialogBox');
                                  dialogBox.close({
                                      dialogName: 'alert'
                                  });
                                }
                            });
                  /*    无网络弹窗提示结束    */

}
//////////////////////    网络连接错误提示 方法 NetworkConnectionFailurePrompt  E  //////////////////////

//////////////////////    求片按钮打开 方法 qiupian  S  //////////////////////
function qiupian(){

      api.toast({
          msg: '开发中'
      });
}
//////////////////////    求片按钮打开 方法 qiupian  E  //////////////////////

//////////////////////   刷新 方法 shuaxin  S  //////////////////////
function shuaxin(){

/*
      api.toast({
          msg: '刷新中'
      });
*/
GetVlist();


}
//////////////////////    刷新 方法 shuaxin  E  //////////////////////
</script>
</html>
